<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>ProductionSummaryComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/deployment-summary/production-summary/production-summary.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>production-summary</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./../deployment-summary.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./production-summary.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#showDetails">showDetails</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#downloadNonPrintableTestingCards">downloadNonPrintableTestingCards</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#getStatusToTakeIntoAccount">getStatusToTakeIntoAccount</a>
                            </li>
                            <li>
                                <a href="#hasDetails">hasDetails</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#targetDeploymentInReal">targetDeploymentInReal</a>
                            </li>
                            <li>
                                <a href="#targetDeploymentInSimulation">targetDeploymentInSimulation</a>
                            </li>
                            <li>
                                <a href="#toggleDetails">toggleDetails</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#translateMessageWithParameters">translateMessageWithParameters</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#operation">operation</a>
                            </li>
                            <li>
                                <a href="#operationStatus">operationStatus</a>
                            </li>
                        </ul>
                    </td>
                </tr>




                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#inDeploymentStatusMessage">inDeploymentStatusMessage</a>
                                </li>
                                <li>
                                    <a href="#hasInProductionStatusMessage">hasInProductionStatusMessage</a>
                                </li>
                                <li>
                                    <a href="#goToVoteReceiver">goToVoteReceiver</a>
                                </li>
                                <li>
                                    <a href="#inProductionStatusMessage">inProductionStatusMessage</a>
                                </li>
                                <li>
                                    <a href="#userBelongsToOperationManagementEntity">userBelongsToOperationManagementEntity</a>
                                </li>
                                <li>
                                    <a href="#canDownloadNonPrintableTestingCards">canDownloadNonPrintableTestingCards</a>
                                </li>
                                <li>
                                    <a href="#deploymentStatusIcon">deploymentStatusIcon</a>
                                </li>
                                <li>
                                    <a href="#productionStatusIcon">productionStatusIcon</a>
                                </li>
                                <li>
                                    <a href="#isProductionStatusInError">isProductionStatusInError</a>
                                </li>
                                <li>
                                    <a href="#isInProgress">isInProgress</a>
                                </li>
                                <li>
                                    <a href="#isProdSiteAccessible">isProdSiteAccessible</a>
                                </li>
                                <li>
                                    <a href="#displayLinks">displayLinks</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(operationManagementService: <a href="../injectables/OperationManagementService.html">OperationManagementService</a>, operationService: <a href="../injectables/OperationService.html">OperationService</a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, dialogService: TdDialogService, translateService: TranslateService, fileService: <a href="../injectables/FileService.html">FileService</a>, generatedVotingMaterialService: <a href="../injectables/GeneratedVotingMaterialService.html">GeneratedVotingMaterialService</a>, snackBar: MatSnackBar, authorizationService: <a href="../injectables/AuthorizationService.html">AuthorizationService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:31</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>operationManagementService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationManagementService.html" target="_self" >OperationManagementService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationService.html" target="_self" >OperationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialogService</td>
                                                  
                                                        <td>
                                                                    <code>TdDialogService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>fileService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/FileService.html" target="_self" >FileService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>generatedVotingMaterialService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/GeneratedVotingMaterialService.html" target="_self" >GeneratedVotingMaterialService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>snackBar</td>
                                                  
                                                        <td>
                                                                    <code>MatSnackBar</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>authorizationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/AuthorizationService.html" target="_self" >AuthorizationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="operation"></a>
                        <code>operation</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="29" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:29</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="operationStatus"></a>
                        <code>operationStatus</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../interfaces/OperationStatus.html" target="_self" >OperationStatus</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:26</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="downloadNonPrintableTestingCards"></a>
                        <span class="name">
                            <b>
                            downloadNonPrintableTestingCards
                            </b>
                            <a href="#downloadNonPrintableTestingCards"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>downloadNonPrintableTestingCards()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="151" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:151</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getStatusToTakeIntoAccount"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            getStatusToTakeIntoAccount
                            </b>
                            <a href="#getStatusToTakeIntoAccount"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>getStatusToTakeIntoAccount()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="209" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:209</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="hasDetails"></a>
                        <span class="name">
                            <b>
                            hasDetails
                            </b>
                            <a href="#hasDetails"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>hasDetails()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="146" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:146</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="126" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:126</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="targetDeploymentInReal"></a>
                        <span class="name">
                            <b>
                            targetDeploymentInReal
                            </b>
                            <a href="#targetDeploymentInReal"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>targetDeploymentInReal()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="164" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:164</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="targetDeploymentInSimulation"></a>
                        <span class="name">
                            <b>
                            targetDeploymentInSimulation
                            </b>
                            <a href="#targetDeploymentInSimulation"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>targetDeploymentInSimulation()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="180" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:180</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="toggleDetails"></a>
                        <span class="name">
                            <b>
                            toggleDetails
                            </b>
                            <a href="#toggleDetails"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>toggleDetails()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="160" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:160</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="translateMessageWithParameters"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            translateMessageWithParameters
                            </b>
                            <a href="#translateMessageWithParameters"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>translateMessageWithParameters(message: <a href="../interfaces/MessageWithParameters.html">MessageWithParameters</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="205" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:205</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>message</td>
                                                        <td>
                                                                    <code><a href="../interfaces/MessageWithParameters.html" target="_self" >MessageWithParameters</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="showDetails"></a>
                        <span class="name">
                            <b>
                            showDetails
                            </b>
                            <a href="#showDetails"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>showDetails:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:31</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="inDeploymentStatusMessage"></a>
                        <span class="name"><b>inDeploymentStatusMessage</b><a href="#inDeploymentStatusMessage"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>inDeploymentStatusMessage()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="44" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:44</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="hasInProductionStatusMessage"></a>
                        <span class="name"><b>hasInProductionStatusMessage</b><a href="#hasInProductionStatusMessage"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>hasInProductionStatusMessage()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="48" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:48</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="goToVoteReceiver"></a>
                        <span class="name"><b>goToVoteReceiver</b><a href="#goToVoteReceiver"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>goToVoteReceiver()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="52" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:52</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="inProductionStatusMessage"></a>
                        <span class="name"><b>inProductionStatusMessage</b><a href="#inProductionStatusMessage"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>inProductionStatusMessage()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="56" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:56</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="userBelongsToOperationManagementEntity"></a>
                        <span class="name"><b>userBelongsToOperationManagementEntity</b><a href="#userBelongsToOperationManagementEntity"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>userBelongsToOperationManagementEntity()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="60" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:60</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="canDownloadNonPrintableTestingCards"></a>
                        <span class="name"><b>canDownloadNonPrintableTestingCards</b><a href="#canDownloadNonPrintableTestingCards"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>canDownloadNonPrintableTestingCards()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="64" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:64</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="deploymentStatusIcon"></a>
                        <span class="name"><b>deploymentStatusIcon</b><a href="#deploymentStatusIcon"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>deploymentStatusIcon()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="69" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:69</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="productionStatusIcon"></a>
                        <span class="name"><b>productionStatusIcon</b><a href="#productionStatusIcon"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>productionStatusIcon()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="80" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:80</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isProductionStatusInError"></a>
                        <span class="name"><b>isProductionStatusInError</b><a href="#isProductionStatusInError"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isProductionStatusInError()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="105" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:105</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isInProgress"></a>
                        <span class="name"><b>isInProgress</b><a href="#isInProgress"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isInProgress()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="120" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:120</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isProdSiteAccessible"></a>
                        <span class="name"><b>isProdSiteAccessible</b><a href="#isProdSiteAccessible"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isProdSiteAccessible()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="129" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:129</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayLinks"></a>
                        <span class="name"><b>displayLinks</b><a href="#displayLinks"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>displayLinks()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="138" class="link-to-prism">src/app/operation/deployment-summary/production-summary/production-summary.component.ts:138</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-description"><p>Check if block containing URL of VR Site and/or testing cards archive should be displayed</p>
</div>

                        </td>
                    </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Input, OnInit } from &#x27;@angular/core&#x27;;
import {
  AVAILABLE_FOR_CREATION, AVAILABLE_FOR_INITIALIZATION, COMPLETE, CREATED, CREATION_FAILED, CREATION_IN_PROGRESS,
  CREATION_REJECTED, CREATION_REQUESTED, IN_VALIDATION, INCOMPLETE, INITIALIZATION_FAILED, INITIALIZATION_IN_PROGRESS,
  INITIALIZATION_REJECTED, INITIALIZATION_REQUESTED, INITIALIZED, INVALIDATED, INVALIDATION_REJECTED,
  INVALIDATION_REQUESTED, MessageWithParameters, NOT_REQUESTED, OperationStatus, VALIDATED
} from &#x27;../../model/operation-status&#x27;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { Operation } from &#x27;../../model/operation&#x27;;
import { FileService } from &#x27;../../../core/service/file-service/file-service&#x27;;
import { GeneratedVotingMaterialService } from &#x27;../../service/generated-voting-material.service&#x27;;
import { AuthorizationService } from &#x27;../../../core/service/http/authorization.service&#x27;;
import { OperationManagementService } from &#x27;../../service/operation-managment.service&#x27;;
import { OperationService } from &#x27;../../service/operation.service&#x27;;
import { Router } from &#x27;@angular/router&#x27;;
import { TdDialogService } from &#x27;@covalent/core&#x27;;
import { MatSnackBar } from &#x27;@angular/material&#x27;;

@Component({
  selector: &#x27;production-summary&#x27;,
  templateUrl: &#x27;./production-summary.component.html&#x27;,
  styleUrls: [&#x27;./../deployment-summary.component.scss&#x27;]
})
export class ProductionSummaryComponent implements OnInit {
  @Input()
  operationStatus: OperationStatus;

  @Input()
  operation: Operation;

  showDetails &#x3D; false;

  constructor(private operationManagementService: OperationManagementService,
              private operationService: OperationService,
              private router: Router,
              private dialogService: TdDialogService,
              private translateService: TranslateService,
              private fileService: FileService,
              private generatedVotingMaterialService: GeneratedVotingMaterialService,
              private snackBar: MatSnackBar,
              private authorizationService: AuthorizationService) {
  }

  get inDeploymentStatusMessage() {
    return this.translateMessageWithParameters(this.operationStatus.deploymentStatusMessage);
  }

  get hasInProductionStatusMessage() {
    return !!this.operationStatus.inProductionStatusMessage;
  }

  get goToVoteReceiver() {
    return window.open(this.operationStatus.configurationStatus.voteReceiverUrl, &quot;vote_receiver&quot;)
  }

  get inProductionStatusMessage() {
    return this.translateMessageWithParameters(this.operationStatus.inProductionStatusMessage);
  }

  get userBelongsToOperationManagementEntity() {
    return this.operation.managementEntity &#x3D;&#x3D;&#x3D; this.authorizationService.userSnapshot.managementEntity;
  }

  get canDownloadNonPrintableTestingCards() {
    return this.userBelongsToOperationManagementEntity &amp;&amp;
           this.operationStatus.votingMaterialStatus.nonPrintableCardsAvailable;
  }

  get deploymentStatusIcon() {
    switch (this.operationStatus.deploymentTarget) {
      case &quot;SIMULATION&quot; :
        return &quot;assignment&quot;;
      case &quot;REAL&quot; :
        return &quot;flight&quot;;
      default :
        return &quot;check&quot;;
    }
  }

  get productionStatusIcon() {
    const stateToTakeIntoAccount &#x3D; this.getStatusToTakeIntoAccount();
    switch (stateToTakeIntoAccount) {
      case INCOMPLETE :
      case AVAILABLE_FOR_CREATION:
      case CREATION_REQUESTED:
      case AVAILABLE_FOR_INITIALIZATION:
      case INITIALIZATION_REQUESTED:
        return &quot;info_outline&quot;;
      case COMPLETE :
      case CREATED :
      case INITIALIZED:
      case INVALIDATION_REJECTED:
        return &quot;check&quot;;
      case CREATION_REJECTED:
      case CREATION_FAILED:
      case INVALIDATED:
      case INITIALIZATION_REJECTED:
      case INITIALIZATION_FAILED:
        return &quot;cancel&quot;;
      default :
        return null;
    }
  }

  get isProductionStatusInError() {
    const vmState &#x3D; this.operationStatus.votingMaterialStatus.state;
    const vpState &#x3D; this.operationStatus.votingPeriodStatus.state;
    const taState &#x3D; this.operationStatus.tallyArchiveStatus.state;
    return vmState &#x3D;&#x3D;&#x3D; CREATION_REJECTED ||
           vmState &#x3D;&#x3D;&#x3D; CREATION_FAILED ||
           vmState &#x3D;&#x3D;&#x3D; INVALIDATION_REQUESTED ||
           vmState &#x3D;&#x3D;&#x3D; INVALIDATION_REJECTED ||
           vmState &#x3D;&#x3D;&#x3D; INVALIDATED ||
           vpState &#x3D;&#x3D;&#x3D; INITIALIZATION_REJECTED ||
           vpState &#x3D;&#x3D;&#x3D; INITIALIZATION_FAILED ||
           taState &#x3D;&#x3D;&#x3D; CREATION_FAILED;

  }

  get isInProgress() {
    const vmState &#x3D; this.operationStatus.votingMaterialStatus.state;
    const vpState &#x3D; this.operationStatus.votingPeriodStatus ? this.operationStatus.votingPeriodStatus.state : null;
    return vmState &#x3D;&#x3D;&#x3D; CREATION_IN_PROGRESS || vpState &#x3D;&#x3D;&#x3D; INITIALIZATION_IN_PROGRESS;
  }

  ngOnInit() {
  }

  get isProdSiteAccessible() {
    return (this.operationStatus.tallyArchiveStatus.state !&#x3D;&#x3D; CREATED &amp;&amp;
            (this.operationStatus.votingPeriodStatus.state &#x3D;&#x3D;&#x3D; INITIALIZED &amp;&amp;
            this.operation.date &gt;&#x3D; new Date(Date.now())));
  }

  /**
   * Check if block containing URL of VR Site and/or testing cards archive should be displayed
   */
  get displayLinks() {
    return this.operationStatus.configurationStatus.state &#x3D;&#x3D;&#x3D; IN_VALIDATION ||
           this.operationStatus.configurationStatus.state &#x3D;&#x3D;&#x3D; VALIDATED ||
           this.operationStatus.votingMaterialStatus.state &#x3D;&#x3D;&#x3D; VALIDATED ||
           this.operationStatus.votingMaterialStatus.state &#x3D;&#x3D;&#x3D; CREATED ||
           this.operationStatus.votingMaterialStatus.state &#x3D;&#x3D;&#x3D; INVALIDATION_REJECTED;
  }

  hasDetails() {
    return this.operationStatus.votingMaterialStatus &amp;&amp;
           this.operationStatus.votingMaterialStatus.state &#x3D;&#x3D;&#x3D; CREATION_IN_PROGRESS
  }

  downloadNonPrintableTestingCards() {
    let id &#x3D; this.operation.id;
    this.generatedVotingMaterialService.downloadTestSiteNonPrintableVotingCards(id)
      .subscribe(response &#x3D;&gt; {
        let fileName &#x3D; response.headers.get(&#x27;Content-Disposition&#x27;).split(&#x27;;&#x27;)[1].trim().split(&#x27;&#x3D;&#x27;)[1];
        this.fileService.downloadBlob(fileName, response.body);
      });
  }

  toggleDetails() {
    this.showDetails &#x3D; !this.showDetails;
  }

  targetDeploymentInReal() {
    this.operationService.targetReal(this.operation.id)
      .subscribe(() &#x3D;&gt; {
        this.snackBar.open(
          this.translateService.instant(&#x27;deployment-summary.production.target.real.success&#x27;), &#x27;&#x27;,
          {duration: 5000}
        );
        this.operationManagementService
          .shouldUpdateStatus()
          .subscribe(() &#x3D;&gt; {
            this.router.navigate([&quot;operations&quot;, this.operation.id, &quot;voting-material&quot;])
          });

      });
  }

  targetDeploymentInSimulation() {
    this.dialogService.openPrompt({
      title: this.translateService.instant(&#x27;deployment-summary.production.target.simulation.dialog.title&#x27;),
      message: this.translateService.instant(&#x27;deployment-summary.production.target.simulation.dialog.message&#x27;),
      disableClose: true,
      cancelButton: this.translateService.instant(&#x27;global.actions.cancel&#x27;).toUpperCase(),
      acceptButton: this.translateService.instant(&#x27;global.actions.validate&#x27;).toUpperCase()
    }).afterClosed().subscribe((simulationName: string) &#x3D;&gt; {
      if (simulationName) {
        this.operationService.targetSimulation(this.operation.id, simulationName)
          .subscribe(() &#x3D;&gt; {
            this.snackBar.open(
              this.translateService.instant(&#x27;deployment-summary.production.target.simulation.success&#x27;), &#x27;&#x27;,
              {duration: 5000}
            );
            this.operationManagementService
              .shouldUpdateStatus()
              .subscribe(() &#x3D;&gt; {
                this.router.navigate([&quot;operations&quot;, this.operation.id, &quot;voting-material&quot;])
              });
          });
      }
    });
  }

  private translateMessageWithParameters(message: MessageWithParameters) {
    return this.translateService.instant(message.message, message.parameters);
  }

  private getStatusToTakeIntoAccount() {
    const taState &#x3D; this.operationStatus.tallyArchiveStatus.state;
    if (taState !&#x3D;&#x3D; NOT_REQUESTED) {
      return taState
    }
    const vmState &#x3D; this.operationStatus.votingMaterialStatus.state;
    if (vmState !&#x3D;&#x3D; VALIDATED) {
      return vmState;
    }
    return this.operationStatus.votingPeriodStatus.state;
  }


}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;mat-card id&#x3D;&quot;productionDeploymentSummaryCard&quot; class&#x3D;&quot;site-card&quot;&gt;
  &lt;mat-card-header&gt;
    &lt;mat-card-title class&#x3D;&quot;site-name&quot;&gt;
      {{&#x27;deployment-summary.production.name&#x27; | translate | uppercase}}
    &lt;/mat-card-title&gt;
  &lt;/mat-card-header&gt;
  &lt;mat-card-content fxLayout&#x3D;&quot;column&quot;&gt;

    &lt;!-- status messages --&gt;
    &lt;div fxLayout fxLayoutGap&#x3D;&quot;1rem&quot; class&#x3D;&quot;site-info italic&quot;&gt;
      &lt;mat-icon fxFlexAlign&#x3D;&quot;center&quot;&gt;
        {{deploymentStatusIcon}}
      &lt;/mat-icon&gt;

      &lt;span id&#x3D;&quot;deploymentStatusMessage&quot;
            fxFlexAlign&#x3D;&quot;center&quot;
            [class.site-error]&#x3D;&quot;operationStatus.configurationStatus.state &#x3D;&#x3D;&#x3D; &#x27;DEPLOYMENT_REFUSED&#x27;&quot;&gt;
            {{inDeploymentStatusMessage}}
      &lt;/span&gt;
    &lt;/div&gt;

    &lt;!-- validation buttons --&gt;
    &lt;ng-container *roles&#x3D;&quot;[&#x27;DEPLOYMENT_TARGET_SIMULATION&#x27;, &#x27;DEPLOYMENT_TARGET_REAL&#x27;]&quot;&gt;
      &lt;div
        *ngIf&#x3D;&quot;userBelongsToOperationManagementEntity &amp;&amp;
            operationStatus.configurationStatus.state &#x3D;&#x3D; &#x27;DEPLOYED&#x27; &amp;&amp;
            operationStatus.deploymentTarget &#x3D;&#x3D;&#x3D; &#x27;NOT_DEFINED&#x27;&quot;&gt;
        &lt;mat-divider&gt;&lt;/mat-divider&gt;
        &lt;div fxLayout fxLayoutGap&#x3D;&quot;2rem&quot; fxLayoutAlign&#x3D;&quot;center&quot; style&#x3D;&quot;margin-top: 1rem;&quot;&gt;
          &lt;action-card
            *roles&#x3D;&quot;[&#x27;DEPLOYMENT_TARGET_SIMULATION&#x27;]&quot;
            color&#x3D;&quot;primary&quot;
            icon&#x3D;&quot;assignment&quot;
            buttonId&#x3D;&quot;targetSimulationDeploymentButton&quot;
            buttonLabel&#x3D;&quot;deployment-summary.production.target.simulation.button&quot;
            (action)&#x3D;&quot;targetDeploymentInSimulation()&quot;&gt;
          &lt;/action-card&gt;

          &lt;action-card
            *roles&#x3D;&quot;[&#x27;DEPLOYMENT_TARGET_REAL&#x27;]&quot;
            color&#x3D;&quot;primary&quot;
            icon&#x3D;&quot;flight&quot;
            buttonId&#x3D;&quot;targetRealDeploymentButton&quot;
            buttonLabel&#x3D;&quot;deployment-summary.production.target.real.button&quot;
            (action)&#x3D;&quot;targetDeploymentInReal()&quot;&gt;
          &lt;/action-card&gt;
        &lt;/div&gt;
      &lt;/div&gt;
    &lt;/ng-container&gt;

    &lt;!-- production status messages --&gt;
    &lt;div *ngIf&#x3D;&quot;hasInProductionStatusMessage&quot;&gt;
      &lt;mat-divider&gt;&lt;/mat-divider&gt;
      &lt;div fxLayout fxLayoutGap&#x3D;&quot;1rem&quot; class&#x3D;&quot;site-info italic&quot; (click)&#x3D;&quot;toggleDetails()&quot;
           [class.clickable]&#x3D;&quot;hasDetails()&quot;&gt;
        &lt;mat-icon fxFlexAlign&#x3D;&quot;center&quot; *ngIf&#x3D;&quot;productionStatusIcon&quot;&gt;
          {{productionStatusIcon}}
        &lt;/mat-icon&gt;

        &lt;mat-progress-spinner
          mode&#x3D;&quot;indeterminate&quot; id&#x3D;&quot;creation-progress-spinner&quot; *ngIf&#x3D;&quot;isInProgress&quot; strokeWidth&#x3D;&quot;5&quot; diameter&#x3D;&quot;25&quot;&gt;
        &lt;/mat-progress-spinner&gt;

        &lt;span id&#x3D;&quot;productionStatusMessage&quot;
              fxFlexAlign&#x3D;&quot;center&quot;
              [class.site-error]&#x3D;&quot;isProductionStatusInError&quot;
              [innerHtml]&#x3D;&quot;inProductionStatusMessage&quot;&gt;

            &lt;/span&gt;

      &lt;/div&gt;


      &lt;voting-material-creation-progress
        *ngIf&#x3D;&quot;operationStatus.votingMaterialStatus.state &#x3D;&#x3D;&#x3D; &#x27;CREATION_IN_PROGRESS&#x27;&quot;
        [class.faded]&#x3D;&quot;!showDetails&quot;&gt;
      &lt;/voting-material-creation-progress&gt;


    &lt;/div&gt;

    &lt;!-- site access links --&gt;
    &lt;div *ngIf&#x3D;&quot;displayLinks&quot; fxLayout fxFill fxLayoutAlign&#x3D;&quot;end&quot;&gt;
      &lt;mat-divider&gt;&lt;/mat-divider&gt;
      &lt;button color&#x3D;&quot;primary&quot; *ngIf&#x3D;&quot;isProdSiteAccessible&quot; (click)&#x3D;&quot;goToVoteReceiver&quot; mat-button&gt;
        &lt;mat-icon&gt;language&lt;/mat-icon&gt;
        {{&#x27;deployment-summary.production.link.site&#x27; | translate | uppercase}}
      &lt;/button&gt;

      &lt;button mat-button *ngIf&#x3D;&quot;canDownloadNonPrintableTestingCards&quot; (click)&#x3D;&quot;downloadNonPrintableTestingCards()&quot;
              id&#x3D;&quot;non-printable-test-cards&quot;&gt;
        &lt;mat-icon&gt;recent_actors&lt;/mat-icon&gt;
        {{&#x27;deployment-summary.production.link.voting-cards&#x27; | translate | uppercase}}
      &lt;/button&gt;

    &lt;/div&gt;

  &lt;/mat-card-content&gt;
&lt;/mat-card&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./../deployment-summary.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.site-card {

  border-radius: 1rem;

  .mat-card-header {
    min-height: 2.5rem;
    border-radius: 1rem 1rem 0 0;
  }

  .site-name {
    font-size: 1.5rem !important;
    font-weight: bold !important;
    padding: 1rem 1rem 0;
  }

  .site-info {
    margin-top: 0.5rem !important;
    font-size: 1.4rem;
  }

  mat-icon.site-error {
    font-size: 3rem;
  }

  .site-info.italic {
    font-style: italic;
  }
}


voting-material-creation-progress {
  opacity: 1;
  transition: all 0.3s;
  z-index: 1;
  position: relative;
}

voting-material-creation-progress.faded {
  opacity: 0;
  overflow: hidden;
  position: absolute;
  height: 0;
  width: 0;
}

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><mat-card id="productionDeploymentSummaryCard" class="site-card">  <mat-card-header>    <mat-card-title class="site-name">      {{\'deployment-summary.production.name\' | translate | uppercase}}    </mat-card-title>  </mat-card-header>  <mat-card-content fxLayout="column">    <!-- status messages -->    <div fxLayout fxLayoutGap="1rem" class="site-info italic">      <mat-icon fxFlexAlign="center">        {{deploymentStatusIcon}}      </mat-icon>      <span id="deploymentStatusMessage"            fxFlexAlign="center"            [class.site-error]="operationStatus.configurationStatus.state === \'DEPLOYMENT_REFUSED\'">            {{inDeploymentStatusMessage}}      </span>    </div>    <!-- validation buttons -->    <ng-container *roles="[\'DEPLOYMENT_TARGET_SIMULATION\', \'DEPLOYMENT_TARGET_REAL\']">      <div        *ngIf="userBelongsToOperationManagementEntity &&            operationStatus.configurationStatus.state == \'DEPLOYED\' &&            operationStatus.deploymentTarget === \'NOT_DEFINED\'">        <mat-divider></mat-divider>        <div fxLayout fxLayoutGap="2rem" fxLayoutAlign="center" style="margin-top: 1rem;">          <action-card            *roles="[\'DEPLOYMENT_TARGET_SIMULATION\']"            color="primary"            icon="assignment"            buttonId="targetSimulationDeploymentButton"            buttonLabel="deployment-summary.production.target.simulation.button"            (action)="targetDeploymentInSimulation()">          </action-card>          <action-card            *roles="[\'DEPLOYMENT_TARGET_REAL\']"            color="primary"            icon="flight"            buttonId="targetRealDeploymentButton"            buttonLabel="deployment-summary.production.target.real.button"            (action)="targetDeploymentInReal()">          </action-card>        </div>      </div>    </ng-container>    <!-- production status messages -->    <div *ngIf="hasInProductionStatusMessage">      <mat-divider></mat-divider>      <div fxLayout fxLayoutGap="1rem" class="site-info italic" (click)="toggleDetails()"           [class.clickable]="hasDetails()">        <mat-icon fxFlexAlign="center" *ngIf="productionStatusIcon">          {{productionStatusIcon}}        </mat-icon>        <mat-progress-spinner          mode="indeterminate" id="creation-progress-spinner" *ngIf="isInProgress" strokeWidth="5" diameter="25">        </mat-progress-spinner>        <span id="productionStatusMessage"              fxFlexAlign="center"              [class.site-error]="isProductionStatusInError"              [innerHtml]="inProductionStatusMessage">            </span>      </div>      <voting-material-creation-progress        *ngIf="operationStatus.votingMaterialStatus.state === \'CREATION_IN_PROGRESS\'"        [class.faded]="!showDetails">      </voting-material-creation-progress>    </div>    <!-- site access links -->    <div *ngIf="displayLinks" fxLayout fxFill fxLayoutAlign="end">      <mat-divider></mat-divider>      <button color="primary" *ngIf="isProdSiteAccessible" (click)="goToVoteReceiver" mat-button>        <mat-icon>language</mat-icon>        {{\'deployment-summary.production.link.site\' | translate | uppercase}}      </button>      <button mat-button *ngIf="canDownloadNonPrintableTestingCards" (click)="downloadNonPrintableTestingCards()"              id="non-printable-test-cards">        <mat-icon>recent_actors</mat-icon>        {{\'deployment-summary.production.link.voting-cards\' | translate | uppercase}}      </button>    </div>  </mat-card-content></mat-card></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'ProductionSummaryComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'ProductionSummaryComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
